Page MenuHomePhabricator

Align Mobile Frontend/MinervaNeue to overhauled color palette
Closed, ResolvedPublic

Description

With the new and improved color palette in M82 we should align the base greys & blue to it.

Event Timeline

Volker_E created this task.Sep 27 2016, 6:29 PM
Restricted Application added a project: UI-Standardization. · View Herald TranscriptSep 27 2016, 6:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 313116 had a related patch set uploaded (by VolkerE):
mediawiki.UI: Align further greys to improved color palette

https://gerrit.wikimedia.org/r/313116

Change 313119 had a related patch set uploaded (by VolkerE):
Align greys to improved color palette

https://gerrit.wikimedia.org/r/313119

Change 313116 merged by jenkins-bot:
mediawiki.UI: Align further greys to improved color palette

https://gerrit.wikimedia.org/r/313116

Change 313119 merged by jenkins-bot:
Align greys to improved color palette

https://gerrit.wikimedia.org/r/313119

Change 313168 had a related patch set uploaded (by VolkerE):
Align last modified bar active color to new color palette

https://gerrit.wikimedia.org/r/313168

Change 313168 merged by jenkins-bot:
Align last modified bar active color to new color palette

https://gerrit.wikimedia.org/r/313168

Volker_E triaged this task as High priority.Oct 4 2016, 5:00 AM

All patches got merged. So is it done now?

@Ladsgroup There is another code walk-through with @Nirzar planned on my side. Not fully done yet.

bmansurov changed the status of subtask T148108: Update Navigation Drawer color scheme from Stalled to Open.Dec 2 2016, 9:14 PM

Change 370591 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Replace @colorGray6 with appropriate WikimediaUI palette color

https://gerrit.wikimedia.org/r/370591

Change 370591 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Replace @colorGray6 with appropriate WikimediaUI palette color

https://gerrit.wikimedia.org/r/370591

Change 370620 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Replace @colorGray6 with appropriate WikimediaUI palette color

https://gerrit.wikimedia.org/r/370620

Change 370620 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Replace @colorGray6 with appropriate WikimediaUI palette color

https://gerrit.wikimedia.org/r/370620

Change 371099 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Replace abandoned color with current WikimediaUI one

https://gerrit.wikimedia.org/r/371099

Change 371099 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Replace abandoned color with current WikimediaUI one

https://gerrit.wikimedia.org/r/371099

Change 371120 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Replace abandoned @colorGray13 with current WikimediaUI one

https://gerrit.wikimedia.org/r/371120

Change 371120 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Replace abandoned @colorGray13 with current WikimediaUI one

https://gerrit.wikimedia.org/r/371120

Change 372455 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Replace abandoned @colorGray3 with current WikimediaUI palette one

https://gerrit.wikimedia.org/r/372455

Change 372455 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Replace abandoned @colorGray3 with current WikimediaUI palette one

https://gerrit.wikimedia.org/r/372455

Change 372468 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Replace abandoned @colorGray13 with current WikimediaUI one

https://gerrit.wikimedia.org/r/372468

Change 372468 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Replace abandoned @colorGray13 with current WikimediaUI one

https://gerrit.wikimedia.org/r/372468

Change 372474 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Replace remaining solid greys and blue with WikimediaUI palette ones

https://gerrit.wikimedia.org/r/372474

Change 372474 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Replace remaining solid greys and blue with WikimediaUI palette ones

https://gerrit.wikimedia.org/r/372474

Volker_E closed this task as Resolved.Aug 18 2017, 9:19 PM
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)
Volker_E moved this task from Review to Done on the UI-Standardization-Kanban board.
Volker_E reopened this task as Open.Aug 25 2017, 2:03 PM

Re-opening again for the 18 SVG icons in MobileFrontend…

Volker_E renamed this task from Align Minerva (Mobile Frontend) to overhauled color palette to Align Mobile Frontend/MinervaNeue to overhauled color palette.

Change 373898 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Align SVGs to color palette and optimize

https://gerrit.wikimedia.org/r/373898

Change 373960 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Align SVGs to color palette and optimize

https://gerrit.wikimedia.org/r/373960

Change 373960 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Align SVGs to color palette and optimize

https://gerrit.wikimedia.org/r/373960

Change 373898 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Align SVGs to color palette and optimize

https://gerrit.wikimedia.org/r/373898

Volker_E closed this task as Resolved.Sep 4 2017, 1:23 AM

Change 389297 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Align icon variants with WikimediaUI color palette

https://gerrit.wikimedia.org/r/389297

Volker_E reopened this task as Open.Nov 5 2017, 3:50 AM

Re-opening one more time as icon variants with #bbb got hidden in skin.json config.

Change 389297 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Align icon variants with WikimediaUI color palette

https://gerrit.wikimedia.org/r/389297

Volker_E closed this task as Resolved.Nov 6 2017, 9:33 PM